package de.mrbesen.telegram.commands;

import org.json.JSONObject;

import de.mrbesen.telegram.objects.TUser;

public interface JSONCommandHandler extends CommandHandler {
	
	/**
	 * Should return true, if the command is handled correctly, false if the help menu should be displayed
	 * @param sender
	 * @param cmd
	 * @param args
	 * @param json 
	 * @return
	 */
	public boolean onCommand(TUser sender, String cmd, String[] args, JSONObject json);

}
